<?php

/**
 * @file
 * Contains ruota.page.inc.
 *
 * Page callback for Ruota entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Ruota templates.
 *
 * Default template: ruota.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_ruota(array &$variables) {
  // Fetch Ruota Entity Object.
  $ruota = $variables['elements']['#ruota'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
