<?php

namespace Drupal\auto\Adapter;

/**
 * Class ConducenteAdapter.
 * 
 * @property string $nome
 * @property string $cognome
 * @property string $codice_fiscale
 * @property \Drupal\auto\Adapter\AutoAdapter[] $auto
 */
class ConducenteAdapter extends AdapterBase {
  
  /**
   * {@inheritdoc}
   */
  protected function relationships() {
    return[
      'auto' => [
        static::HAS_MANY_REFERENCING,
        'conducenti',
      ],
    ];
  }
  
}
