<?php

/**
 * @file
 * Contains auto.page.inc.
 *
 * Page callback for Auto entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Auto templates.
 *
 * Default template: auto.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_auto(array &$variables) {
  // Fetch Auto Entity Object.
  $auto = $variables['elements']['#auto'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
