<?php

/**
 * @file
 * Contains conducente.page.inc.
 *
 * Page callback for Conducente entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Conducente templates.
 *
 * Default template: conducente.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_conducente(array &$variables) {
  // Fetch Conducente Entity Object.
  $conducente = $variables['elements']['#conducente'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
